Work Order Status¶
Get All Work Order Statuses¶
HTTP Request
GET /api/workOrderStatuses
📋 Description: Retrieves the list of available work order statuses, providing insights into the current state of work orders for effective management and tracking.
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "createdBy": "string",
5 "createdAt": "2019-08-24T14:15:22Z",
6 "displayId": "string",
7 "name": "string",
8 "isDefault": true,
9 "objectAvailable": true,
10 "workOrderStatusType": "string",
11 "isDefaultType": true
12 }
13]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing the current status of a work order, including relevant metadata to facilitate tracking and management within operational workflows.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» createdBy |
string |
false |
none |
Username of who created this resource |
» createdAt |
string(date-time) |
false |
none |
Timestamp when this resource was created |
» displayId |
string |
false |
none |
Unique identifier for the display |
» name |
string |
true |
none |
Name of the resource |
» isDefault |
boolean |
false |
none |
Whether the resource is default |
» objectAvailable |
boolean |
false |
none |
Indicates whether the associated work order is currently available for processing. |
» workOrderStatusType |
string |
false |
none |
Type of the work order status |
» isDefaultType |
boolean |
false |
none |
Whether the resource is default |